Open SCAP Library

Data Structures | Macros | Functions | Variables
file.c File Reference

file probe More...

`#include <seap.h>`
`#include <probe-api.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <pthread.h>`
`#include <errno.h>`
`#include <limits.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include "oval_fts.h"`
`#include "SEAP/generic/rbt/rbt.h"`
`#include "common/debug_priv.h"`

## Data Structures
struct | cbargs

## Macros
#define | PATH_MAX 4096
#define | FILE_SEPARATOR '/'
#define | MODEP(statp, bit) ((statp)->st_mode & (bit) ? gr_true : gr_false)
#define | STR_REGULAR "regular"
#define | STR_DIRECTORY "directory"
#define | STR_SYMLINK "symbolic link"
#define | STR_BLKSPEC "block special"
#define | STR_FIFO "fifo"
#define | STR_SOCKET "socket"
#define | STR_CHARSPEC "character special"
#define | STRLEN_PAIR(str) (str), strlen(str)

## Functions
int | probe_offline_mode_supported ()
| In this function can be set supported type of offline mode.
void * | probe_init (void)
| Dummy probe_fini function.
void | probe_fini (void *arg)
| Dummy probe_fini function.
int | probe_main (probe_ctx *ctx, void *mutex)

## Variables
oval_schema_version_t | over

## Detailed Description

file probe

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process a file_object as defined in OVAL 5.4 and 5.5.